Mailinglist Archive: opensuse-buildservice (153 mails)

< Previous Next >
[opensuse-buildservice] Re: MonoDevelop crashes because of a library version mismatch
I recently got the tip to issue "zypper up" to resolve all pending
package deps. This, however, did not help with my monodevelop issue.
Sorry. :(


2014-10-15 19:53 GMT+02:00 Jacek Rużyczka <jacek.ruzyczka@xxxxxxxxxxxxxx>:
Hi folks,

I have already posted this matter in the gtk-sharp mailing list, but
the guys there suspect my issue to be related to the MonoDevelop RPM I
am using:

I am using gtk-sharp2 incl. glib-sharp2-2.12.10-85.13.x86_64 for my
Mono project and for MonoDevelop (5.0.1-110.14) itself. The issue is
that after the recent update, MD crashes a few seconds after opening
whatever project. I get the following error message:

monodevelop: symbol lookup error: /usr/lib64/libglibsharpglue-2.so:
undefined symbol: g_type_check_instance_is_fundamentally_a

The version of glib-sharp2 is the most recent I can get for my
openSuSE 12.3 machine. For MD and the Mono files incl. gtk-sharp2 I am
using Mono/Factory as a repo.

One of the gtk-sharp guys told me the instance checking routine in
libglibsharpglue had been added in May 2014:
https://mail.gnome.org/archives/commits-list/2014-May/msg08836.html

What shall I do? Thank you for any useful hints.

Kind regards
Jacek Rużyczka
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages